Subject: [bug#63088] [PATCH 0/3] Add Lc0

From: zamfofex <[email-masked]>
Date: Thu, 11 May 2023 18:25:33 -0300 (BRT)

> Will we able to train a model from source?  And how much will it cost?
> 
> As far as I know, guix haven't decided to accept pre-trained models:
> 
> https://yhetil.org/guix/xanfHBZT3lYlyrr_OqHHMWkunLeZZlcxzY37_T3TeZo7mfJClD5-OTbkXDH2f3lMTkn94YIFVUj-Z31BP2Wj0W2rISNP6glC2PzXcPdb560=@protonmail.com/

I don’t think it is feasible. Lc0’s approach is based on self‐play reinforcement‐learning, which in effect means that training starts with no knowledge about chess except for its rules (playing seemingly random moves), and going from there to learn increasingly more about it. So, in practice, this means it would take multiple months or at least several weeks to attain a neural network model that is anywhere close to as effective as the ones provided and pre‐trained. Besides, I believe training requires a (reasonably decent) GPU.

But the network isn’t prohibitively large and its license is not proprietary. I’ll also note that Stockfish (packaged immediately above my Lc0 package) *does* itself include a provided pre‐trained network and no‐one has really complained about it, so I think it should be fine here too.